Package org.apache.solr.common.params

# Interface GroupParams

public interface GroupParams
Group parameters

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GROUP`
`static final String`
`GROUP_CACHE_PERCENTAGE`
Whether to cache the first pass search (doc ids and score) for the second pass search.
`static final String`
`GROUP_DISTRIBUTED_FIRST`
Retrieve the top search groups (top group values) from the shards being queried.
`static final String`
`GROUP_DISTRIBUTED_SECOND`
Retrieve the top groups from the shards being queries based on the specified search groups in the `GROUP_DISTRIBUTED_TOPGROUPS_PREFIX` parameters.
`static final String`
`GROUP_DISTRIBUTED_TOPGROUPS_PREFIX`
`static final String`
`GROUP_FACET`
Whether to compute grouped facets based on the first specified group.
`static final String`
`GROUP_FIELD`
`static final String`
`GROUP_FORMAT`
treat the first group result as the main result.
`static final String`
`GROUP_FUNC`
`static final String`
`GROUP_LIMIT`
the limit for the number of documents in each group
`static final String`
`GROUP_MAIN`
treat the first group result as the main result.
`static final String`
`GROUP_OFFSET`
the offset for the doclist of each group
`static final String`
`GROUP_QUERY`
`static final String`
`GROUP_SORT`
`static final String`
`GROUP_TOTAL_COUNT`
Whether the group count should be included in the response.
`static final String`
`GROUP_TRUNCATE`
Whether the docSet (for example for faceting) should be based on plain documents (a.k.a.

## Field Details

### GROUP

static final String GROUP

See Also:
  - Constant Field Values

### GROUP_QUERY

static final String GROUP_QUERY

See Also:
  - Constant Field Values

### GROUP_FIELD

static final String GROUP_FIELD

See Also:
  - Constant Field Values

### GROUP_FUNC

static final String GROUP_FUNC

See Also:
  - Constant Field Values

### GROUP_SORT

static final String GROUP_SORT

See Also:
  - Constant Field Values

### GROUP_LIMIT

static final String GROUP_LIMIT
the limit for the number of documents in each group

See Also:
  - Constant Field Values

### GROUP_OFFSET

static final String GROUP_OFFSET
the offset for the doclist of each group

See Also:
  - Constant Field Values

### GROUP_MAIN

static final String GROUP_MAIN
treat the first group result as the main result. true/false

See Also:
  - Constant Field Values

### GROUP_FORMAT

static final String GROUP_FORMAT
treat the first group result as the main result. true/false

See Also:
  - Constant Field Values

### GROUP_CACHE_PERCENTAGE

static final String GROUP_CACHE_PERCENTAGE
Whether to cache the first pass search (doc ids and score) for the second pass search. Also defines the maximum size of the group cache relative to maxdoc in a percentage. Values can be a positive integer, from 0 till 100. A value of 0 will disable the group cache. The default is 0.

See Also:
  - Constant Field Values

### GROUP_TRUNCATE

static final String GROUP_TRUNCATE
Whether the docSet (for example for faceting) should be based on plain documents (a.k.a. UNGROUPED) or on the groups (a.k.a. GROUPED). The docSet will only the most relevant documents per group. It is if you query for everything with group.limit=1

See Also:
  - Constant Field Values

### GROUP_TOTAL_COUNT

static final String GROUP_TOTAL_COUNT
Whether the group count should be included in the response.

See Also:
  - Constant Field Values

### GROUP_FACET

static final String GROUP_FACET
Whether to compute grouped facets based on the first specified group.

See Also:
  - Constant Field Values

### GROUP_DISTRIBUTED_FIRST

static final String GROUP_DISTRIBUTED_FIRST
Retrieve the top search groups (top group values) from the shards being queried.

See Also:
  - Constant Field Values

### GROUP_DISTRIBUTED_SECOND

static final String GROUP_DISTRIBUTED_SECOND
Retrieve the top groups from the shards being queries based on the specified search groups in the `GROUP_DISTRIBUTED_TOPGROUPS_PREFIX` parameters.

See Also:
  - Constant Field Values

### GROUP_DISTRIBUTED_TOPGROUPS_PREFIX

static final String GROUP_DISTRIBUTED_TOPGROUPS_PREFIX

See Also:
  - Constant Field Values